#include <iostream>

using namespace std;
int pobednik(int a[],int i,int j, int k,int s,int n)
{
    if(k == 0)
    {
        while(i<=j)
        {
            s = s+a[i];
            i++;
        }
        return s;
    }
    else
    {
        while(i<n)
        {
            j = i;
            while(j<n)
            {
                s = s + pobednik(a,i,j,k-1,0,n);
                cout<<s<<endl;
                j++;
            }
            i++;
        }
    }
    return s;
}
int main()
{
    int n,k,rez;
    cin>>n>>k;
    int a[n];
    for(int i = 0; i<n; i++)
    {
        cin>>a[i];
    }
    rez = pobednik(a,0,n-1,k,0,n);
    cout<<rez%1000000007;
    return 0;
}